// CopyProgress.cpp : t@C
//

#include "stdafx.h"
#include "mtpvc.h"
#include "CopyProgress.h"
#include "afxdialogex.h"


// CCopyProgress _CAO

IMPLEMENT_DYNAMIC(CCopyProgress, CDialogEx)

CCopyProgress::CCopyProgress(CWnd* pParent /*=NULL*/)
	: CDialogEx(CCopyProgress::IDD, pParent)
{
	m_dst = _T("");
	m_src = _T("");
	m_stop = FALSE;
}

CCopyProgress::~CCopyProgress()
{
}

void CCopyProgress::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_STATIC_DST, m_dst);
	DDX_Text(pDX, IDC_STATIC_SRC, m_src);
	DDX_Control(pDX, IDC_PROGRESS_COPY, m_progress_copy);
}


BEGIN_MESSAGE_MAP(CCopyProgress, CDialogEx)
	ON_BN_CLICKED(IDCANCEL, &CCopyProgress::OnBnClickedCancel)
END_MESSAGE_MAP()


// CCopyProgress bZ[W nh[
BOOL CCopyProgress::Create(CWnd *wnd)
{
	if(CDialogEx::Create(CCopyProgress::IDD, wnd)) {
		return TRUE;
	}
	return FALSE;
}

void CCopyProgress::SetMax(int max)
{
	m_progress_copy.SetRange32(0, max);
}

void CCopyProgress::SetPos(int pos)
{
	m_progress_copy.SetPos(pos);
}

void CCopyProgress::SetMessage(CString src, CString dst)
{
	m_src = src;
	m_dst = dst;
	UpdateData(FALSE);
}

void CCopyProgress::OnBnClickedCancel()
{
	m_stop = TRUE;
}

BOOL CCopyProgress::CheckStop()
{
	return m_stop;
}

